import { Value } from './use-morf';
interface Rule {
    testFn: (input: any) => boolean;
    message: string;
}
export type Rules = Rule[];
interface StrictRule extends Rule {
    testFn: (i: Value) => boolean;
}
export type StrictRules = StrictRule[];
export declare const Validators: {
    notLessThanZero: {
        testFn: (i: number) => boolean;
        message: string;
    };
    requiredStr: {
        testFn: (i: string) => boolean;
        message: string;
    };
    isEmail: {
        testFn: (i: string) => boolean;
        message: string;
    };
    isPhoneNumber: {
        testFn: (i: string) => boolean;
        message: string;
    };
};
export {};
